# $Revision: 1.73 $, $Date: 2012/05/16 10:21:08 $
#
# Conditional build:
%bcond_with	pam		# PAM authentication support
%bcond_without	logdb		# enable mod_logdb (server-side message logging)
#

%define	realname	ejabberd

%define	pgsql_module_rev 1105

Summary:	Fault-tolerant distributed Jabber/XMPP server
Summary(pl.UTF-8):	Odporny na awarie rozproszony serwer Jabbera/XMPP
Name:		%{realname}
Version:	2.1.11
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://www.process-one.net/downloads/ejabberd/%{version}/%{realname}-%{version}.tgz
# Source0-md5:	a70b040c4e7602f47718c8afe8780d50
Source1:	%{realname}.init
Source2:	%{realname}.sysconfig
Source3:	%{realname}.sh
Source4:	%{realname}ctl.sh
Source5:	%{realname}-inetrc
# svn export -r %{pgsql_module_rev} https://svn.process-one.net/ejabberd-modules/pgsql/trunk/src ejabberd-module-pgsql-%{pgsql_module_rev}
Source6:	ejabberd-module-pgsql-%{pgsql_module_rev}.tar.bz2
# Source6-md5:	7a8ba920a508f5180284699610789c14
Patch0:		%{realname}-makefile.patch
Patch1:		%{realname}-config.patch
Patch2:		%{realname}-mod_muc.patch
# http://www.dp.uz.gov.ua/o.palij/mod_logdb/patch-src-mod_logdb-2.1.0.diff
Patch3:		%{realname}-mod_logdb.patch
Patch4:		%{realname}-vcard-access-get.patch
URL:		http://www.ejabberd.im/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	erlang >= R10B_5
BuildRequires:	expat-devel >= 1.95
BuildRequires:	openssl-devel
%if %{with pam}
BuildRequires:	pam-devel
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post):	/usr/bin/perl
Requires(post):	jabber-common
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires:	erlang
Requires:	expat >= 1.95
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ejabberd is a Free and Open Source fault-tolerant distributed Jabber
server. It is written mostly in Erlang.

%description -l pl.UTF-8
ejabberd to darmowy, z otwartymi źródłami, odporny na awarie
rozproszony serwer Jabbera. Jest napisany w większości w Erlangu.

%package logdb
Summary:	Server-side logging module
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}

%description logdb
Server-side logging module.

%prep
%setup -q -a 6
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%if %{with logdb}
cd src
%patch3 -p0
%endif

%build
cd src
%{__aclocal}
%{__autoconf}
%configure \
	%{?with_pam --enable-pam} \
	--with-openssl=%{_prefix} \
	--enable-odbc
%{__make} -j1
cd ..
cd ejabberd-module-pgsql-%{pgsql_module_rev}
for f in *.erl ; do
	erlc $f
done
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/lib/%{realname},/etc/{sysconfig,rc.d/init.d},%{_sbindir}}

%{__make} -C src install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

sed -e's,@libdir@,%{_libdir},g' -e 's,@EJABBERD_DOC_PATH@,%{_docdir}/%{name}-%{version}/doc,g' %{SOURCE1} > $RPM_BUILD_ROOT/etc/rc.d/init.d/%{realname}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{realname}

chmod u+rw $RPM_BUILD_ROOT%{_sbindir}/%{realname}*
sed -e's,@libdir@,%{_libdir},g' %{SOURCE3} > $RPM_BUILD_ROOT%{_sbindir}/%{realname}
sed -e's,@libdir@,%{_libdir},g' %{SOURCE4} > $RPM_BUILD_ROOT%{_sbindir}/%{realname}ctl
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/jabber

chmod 755 $RPM_BUILD_ROOT%{_libdir}/ejabberd/priv/lib/*.so

cd ejabberd-module-pgsql-%{pgsql_module_rev}
for f in *.beam ; do
	install $f $RPM_BUILD_ROOT%{_libdir}/ejabberd/ebin
done
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in ejabberd config file..."
		%{__sed} -i -e "s/>secret</>$SECRET</" /etc/jabber/ejabberd.cfg
	fi
fi

if [ ! -f %{_sysconfdir}/jabber/cookie ] ; then
	echo "Generating erl authentication cookie..."
	umask 066
	perl -e 'open R,"/dev/urandom"; read R,$r,16;
		printf "%02x",ord(chop $r) while($r);' > %{_sysconfdir}/jabber/cookie
fi

/sbin/chkconfig --add ejabberd
%service ejabberd restart "ejabberd server"

%preun
if [ "$1" = "0" ]; then
	%service ejabberd stop
	/sbin/chkconfig --del ejabberd
fi

%files
%defattr(644,root,root,755)
%doc doc src/odbc/pg.sql src/odbc/mysql.sql
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*
%attr(770,root,jabber) /var/log/ejabberd
%if %{with logdb}
%exclude %{_libdir}/ejabberd/ebin/mod_logdb*
%endif
%{_libdir}/ejabberd
%dir %attr(770,root,jabber) /var/lib/ejabberd
%attr(754,root,root) /etc/rc.d/init.d/%{realname}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{realname}

%if %{with logdb}
%files logdb
%defattr(644,root,root,755)
%{_libdir}/ejabberd/ebin/mod_logdb*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ejabberd.spec,v $
Revision 1.73  2012/05/16 10:21:08  psz
- up to 2.1.11
- changed homepage

Revision 1.72  2012/01/04 23:13:11  zbyniu
- up to 2.1.10

Revision 1.71  2011/10/08 11:36:08  ciesiel
- up to 2.1.9

Revision 1.70  2011/06/11 09:50:44  lisu
- rel 2

Revision 1.69  2011/06/10 11:21:08  arekm
- up to 2.1.8

Revision 1.68  2011/04/26 09:01:55  jajcus
- include the pgsql module
- Release: 2

Revision 1.67  2011/02/02 17:29:01  sparky
- BR: automake

Revision 1.66  2011/01/10 07:59:28  arekm
- up to 2.1.6

Revision 1.65  2010/11/12 22:53:27  pawelz
- rel 2

Revision 1.64  2010/08/17 09:23:24  arekm
- up to 2.1.5

Revision 1.63  2010/07/06 20:17:11  dzeus
- up to 2.1.4 (bugfixes)

Revision 1.62  2010/05/05 10:17:15  arekm
- rel 2; catch more so deps

Revision 1.61  2010/04/07 20:44:13  areq
- vcard-access-get.patch - access rule to restrict who is allowed to see vCards of local users

Revision 1.60  2010/03/31 08:20:37  arekm
- rel2

Revision 1.59  2010/03/18 12:37:30  areq
- 2.1.3

Revision 1.58  2010/01/20 07:43:47  dzeus
- up to 2.1.2 (bugfixes)

Revision 1.57  2010/01/10 19:49:18  arekm
- up to 2.1.1

Revision 1.56  2009/11/22 15:53:40  arekm
- mod_logdb for 2.1.0

Revision 1.55  2009/11/19 09:01:02  arekm
- fix url

Revision 1.54  2009/11/19 08:54:41  arekm
- up to 2.1.0 (still no mod_logdb for this version)

Revision 1.53  2009/08/15 13:00:17  arekm
- set EJABBERD_DOC_PATH so help over html works

Revision 1.52  2009/08/15 12:41:50  arekm
- fix logdb bcond

Revision 1.51  2009/06/21 19:05:12  psz
- missing dependency
- rel 2

Revision 1.50  2009/04/05 15:00:27  arekm
- up to 2.0.5 (fixes brokeness introduced in 2.0.4)

Revision 1.49  2009/04/02 06:24:03  arekm
- up to 2.0.4

Revision 1.48  2009/04/01 00:45:30  shadzik
- reverse logdb bcond
- remove alt_name shit and package logdb to subpackage
- rel 2

Revision 1.47  2009/01/30 21:48:27  arekm
- up to 2.0.3

Revision 1.46  2008/10/13 18:28:24  arekm
- up to 2.0.2

Revision 1.45  2008/07/23 17:29:12  paszczus
- reverted, hmm..

Revision 1.43  2008/07/18 13:22:35  paszczus
- use -j1 to proper build

Revision 1.42  2008/07/16 19:21:37  shadzik
- neigh, patch4 was a bad idea, reverted
- rel 3

Revision 1.41  2008/07/16 18:57:28  shadzik
- rel 2

Revision 1.40  2008/07/16 18:56:27  shadzik
- add patch which hopefully fixes user section in web admin interface

Revision 1.39  2008/06/01 19:37:41  arekm
- up to 2.0.1

Revision 1.38  2008-03-03 19:25:23  dzeus
- rel. 2

Revision 1.37  2008-02-22 14:32:23  jajcus
- Version: 2.0.0

Revision 1.36  2008-01-26 18:07:22  shadzik
- use _alt_name if build with logdb

Revision 1.35  2008-01-25 19:24:22  shadzik
- add patch5
- rel 2

Revision 1.34  2007/09/25 16:20:27  shadzik
- 1.1.4

Revision 1.33  2007/08/26 18:01:22  deejay1
- added patch to report back proper certificate chain
- rel. 3

Revision 1.32  2007/08/03 13:45:39  shadzik
- rel 2 (AC purpose)

Revision 1.31  2007/02/13 08:56:17  japhy
- Add --with pam to build with PAM authentication support (http://ejabberd.jabber.ru/pam)

Revision 1.30  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.28  2007/02/03 13:31:32  psz
- up to 1.1.3
- security fix, please STBR

Revision 1.27  2006/09/28 08:53:52  deejay1
- up to 1.1.2

Revision 1.26  2006/07/26 15:48:06  glen
- remove extra unneeded slash

Revision 1.25  2006/05/15 20:34:43  psz
- added missing BR

Revision 1.24  2006/05/15 19:28:09  psz
- merged

Revision 1.18.2.4  2006/05/15 19:13:36  psz
- URL updated

Revision 1.18.2.3  2006/04/29 12:07:28  deejay1
- up to 1.1.1

Revision 1.18.2.2  2006/04/27 14:57:07  deejay1
- rel. 2

Revision 1.18.2.1  2006/04/26 16:55:50  deejay1
- version 1.1.0
- backport from HEAD

Revision 1.22  2006/04/26 09:33:06  jajcus
- Version: 1.1.0

Revision 1.21  2006/04/14 17:42:16  glen
- use sed for inline edits rather perl

Revision 1.20  2006/04/07 17:59:05  jajcus
- enable ODBC

Revision 1.19  2006/02/27 23:00:10  glen
- use %service

Revision 1.18  2005/12/16 14:59:24  deejay1
- higher erlang BR

Revision 1.17  2005/12/15 18:32:13  jajcus
- Version: 1.0.0

Revision 1.16  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.15  2005/10/11 21:08:38  jajcus
- Release: 2
- use /etc/jabber/ejabberd-inetrc for proper SRV record resolution

Revision 1.14  2005/08/02 15:53:57  aredridel
- up to 0.9.8

Revision 1.13  2005/05/24 15:42:17  aredridel
- up to 0.9.1

Revision 1.12  2005/05/19 11:15:55  deejay1
- BR: {openssl-devel, expat-devel}

Revision 1.11  2005/04/20 01:39:47  aredridel
- up to 0.9

Revision 1.10  2005/02/17 17:38:46  aredridel
- add muc patch

Revision 1.9  2004/11/11 11:32:08  deejay1
- added erl cookie support, fixes #5535, rel up to 2

Revision 1.8  2004/10/11 06:41:40  jajcus
- paths in scripts changed from hardcoded /usr/lib to %{_libdir}

Revision 1.7  2004/10/10 21:58:23  jajcus
- Version: 0.7.5

Revision 1.6  2004/09/25 16:40:34  wolf
- rel 1

Revision 1.5  2004/09/01 12:04:24  jajcus
- typo

Revision 1.4  2004/09/01 10:16:15  jajcus
- default config patch
- config flags added to config file in %files

Revision 1.3  2004/08/31 22:12:22  qboosh
- pl

Revision 1.2  2004/08/31 21:01:05  ankry
- formatting

Revision 1.1  2004/08/31 20:54:31  jajcus
- new spec, NFY
